[14] RFR: 8234870: Deprecate the OracleUcrypto JCE Provider for removal

Alan Bateman Alan.Bateman at oracle.com
Wed Dec 11 13:43:27 UTC 2019


On 11/12/2019 13:30, Sean Mullan wrote:
> Please review this change to deprecate the OracleUcrypto JCE Provider 
> for removal. This change is part of JEP 362 (Deprecate the Solaris and 
> SPARC Ports) [1], which is Targeted to JDK 14.
>
> Since this Enhancement was referenced from the JEP, I wasn't sure if a 
> CSR was strictly necessary, but I drafted one anyway. Please review 
> the CSR and diffs below.
>
> CSR: https://bugs.openjdk.java.net/browse/JDK-8235432
This module doesn't export an API so I don't think the warning will ever 
be seen at compile-time. It's also not included in the API docs. So what 
you have is okay but you may find that a release note or other 
documentation will be needed to get the message out. Other idea is to 
add a comment to conf/security/java.security as that will be seen by 
those that edit the security configuration.

-Alan


More information about the security-dev mailing list